package io.renren.modules.sys.dao.algs;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import io.renren.modules.sys.entity.algs.AlgorithmTemplate;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface AlgorithmTemplateMapper extends BaseMapper<AlgorithmTemplate> {
    int deleteByPrimaryKey(Long tmpId);

    int insert(AlgorithmTemplate record);

    int insertSelective(AlgorithmTemplate record);

    AlgorithmTemplate selectByPrimaryKey(Long tmpId);

    int updateByPrimaryKeySelective(AlgorithmTemplate record);

    int updateByPrimaryKey(AlgorithmTemplate record);

    AlgorithmTemplate selectByTmpName(String temName);

}